Extending Qt Creator Manual | OpenDocumentsTreeView

Extending Qt Creator Manual 4.5.2

# OpenDocumentsTreeView Class

(Core::OpenDocumentsTreeView)

Inherits: | Utils::TreeView

- List of all members, including inherited members

## Public Functions

| OpenDocumentsTreeView(QWidget *parent = 0)
void | setCloseButtonVisible(bool visible)
void | setModel(QAbstractItemModel *model)

- 3 public functions inherited from Utils::View

## Signals

void | closeActivated(const QModelIndex &index)

## Protected Functions

bool | eventFilter(QObject *obj, QEvent *event)

## Member Function Documentation

### OpenDocumentsTreeView::OpenDocumentsTreeView(QWidget *parent = 0)

Default constructs an instance of OpenDocumentsTreeView.

### `[signal]` void OpenDocumentsTreeView::closeActivated(const QModelIndex &index)

### `[protected]` bool OpenDocumentsTreeView::eventFilter(QObject *obj, QEvent *event)

### void OpenDocumentsTreeView::setCloseButtonVisible(bool visible)

### void OpenDocumentsTreeView::setModel(QAbstractItemModel *model)